#include <QString>"

#include "MethodReturnValue.h"
#include "marshall_types.h"

MethodReturnValue::MethodReturnValue(
		Smoke *smoke, 
		const Smoke::Index methodIndex, 
		const Smoke::Stack stack, 
		zval *&retval
) : MethodReturnValueBase( smoke, methodIndex, stack, retval )
{
	Marshall::HandlerFn fn = getMarshallFn(type());
	(*fn)(this);
}

MethodReturnValue::~MethodReturnValue()
{
}

Marshall::Action
MethodReturnValue::action()
{
	return Marshall::ToZVAL;
}
/*
const char *
MethodReturnValue::classname()
{
	return qstrcmp(MethodReturnValueBase::classname(), "QGlobalSpace") == 0 ? "" : MethodReturnValueBase::classname();
}
*/
